
Ryzom - Feature # 1444

Status: Resolved Priority: Normal
Author: kervala Category: Client: General
Created: 03/06/2012 Assignee: kervala
Updated: 09/28/2012 Due date:
Subject: Add details for user-agent
Description

Currently Webig user-agent is "Ryzom". We should add at least the platform (Windows, Linux, Mac OS X, etc...), the version or
revision used to compile the client and the architecture (amd64, i386, etc...).

History
#1 - 04/25/2012 06:27 pm - shackra

plase, instead of "Linux" use GNU-Linux or GNU/Linux

#2 - 04/25/2012 06:50 pm - kervala

Yes, I'll use almost the same user-agent as browsers :)

#3 - 09/03/2012 10:04 am - kervala

Current User-Agent for Ryzom Core is : "Ryzom/RYZOM_CORE libwww/5.4.0"

libwww doesn't allow to use spaces (they are replaced by underscores) in user-agent and only 2 variables can be defined : name and version with
respectively : HTLib_setAppName and HTLib_setAppVersion.

#4 - 09/28/2012 09:00 pm - kervala
- Status changed from Assigned to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:d7cbfdbe276d.

#5 - 09/28/2012 09:03 pm - kervala
- Target version set to Version 0.9.0
